# classes/phing/tasks/ext/git/GitBranchTask.php

## \GitBranchTask
jump to top

Wrapper aroung git-branch

Use {@link Project#createTask} to register a new Task.

Extends from
  \GitBaseTask
see
  \VersionControl_Git
author
  Victor Farazdagi
copyright
  2001,2002 THYRELL. All rights reserved
package
  phing.tasks.ext.git
since
  2.4.3
version
  $Id: GitBranchTask.php 1051 2011-03-02 19:40:51Z victor $

### Properties

`string $branchname= ''`

Branch name

Details

Type
  string

`array $extraOptions= 'array'`

-d, -D, -m, -M options to git-branch Respective task options: delete, forceDelete, move, forceMove

Default value `array` Details

Type
  array

`boolean $force= 'false'`

--force, -f key to git-branch

Default value `false` Details

Type
  boolean

`string $newbranch= ''`

New Branch name for git-branch -m | -M

Details

Type
  string

`boolean $noTrack= 'false'`

--no-track key to git-branch

Default value `false` Details

Type
  boolean

`boolean $setUpstream= 'false'`

--set-upstream key to git-branch

Default value `false` Details

Type
  boolean

`string $startPoint= ''`

If not HEAD, specify starting point

Details

Type
  string

`boolean $track= 'false'`

--track key to git-branch

Default value `false` Details

Type
  boolean

### Methods

`getBranchname( ) :`
`getDelete( ) :`
`getForce( ) :`
`getForceDelete( ) :`
`getForceMove( ) :`
`getMove( ) :`
`getNewBranch( ) :`
`getNoTrack( ) :`
`getSetUpstream( ) :`
`getStartPoint( ) :`
`getTrack( ) :`
`isDelete( ) :`
`isForce( ) :`
`isForceMove( ) :`
`isMove( ) :`
`isNoTrack( ) :`
`isSetUpstream( ) :`
`isTrack( ) :`
`main( ) :`
The main entry point for the task
`setBranchname( $branchname ) :`
Parameters

Name | Type | Description
--- | --- | ---
$branchname |  |

`setDelete( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setForce( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setForceDelete( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setForceMove( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setMove( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setNewBranch( $name ) :`
Parameters

Name | Type | Description
--- | --- | ---
$name |  |

`setNoTrack( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setSetUpstream( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

`setStartPoint( $startPoint ) :`
Parameters

Name | Type | Description
--- | --- | ---
$startPoint |  |

`setTrack( $flag ) :`
Parameters

Name | Type | Description
--- | --- | ---
$flag |  |

Documentation was generated by DocBlox 0.13.1.